org.keycloak.representations.adapters.action

## Class LogoutAction

- java.lang.Object
- - org.keycloak.representations.adapters.action.AdminAction
  - - org.keycloak.representations.adapters.action.LogoutAction

-     public class LogoutAction
      extends AdminAction

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `adapterSessionIds`
    `static String` | `LOGOUT`
    `protected int` | `notBefore`

    - ### Fields inherited from class org.keycloak.representations.adapters.action.AdminAction

      `action, expiration, id, resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogoutAction()`
    `LogoutAction(String id, int expiration, String resource, List<String> adapterSessionIds, int notBefore)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAdapterSessionIds()`
    `int` | `getNotBefore()`
    `void` | `setNotBefore(int notBefore)`
    `boolean` | `validate()`

    - ### Methods inherited from class org.keycloak.representations.adapters.action.AdminAction

      `getAction, getExpiration, getId, getResource, isExpired, setAction, setExpiration, setId, setResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGOUT

          public static final String LOGOUT

      See Also:
        Constant Field Values

    - #### adapterSessionIds

          protected List<String> adapterSessionIds

    - #### notBefore

          protected int notBefore

  - ### Constructor Detail

    - #### LogoutAction

          public LogoutAction()

    - #### LogoutAction

          public LogoutAction(String id,
                      int expiration,
                      String resource,
                      List<String> adapterSessionIds,
                      int notBefore)

  - ### Method Detail

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### getAdapterSessionIds

          public List<String> getAdapterSessionIds()

    - #### validate

          public boolean validate()

      Specified by:
        `validate` in class `AdminAction`

Copyright © 2015. All Rights Reserved.